# module Compress::Deflate

##
Overview

The Deflate module contains readers and writers of DEFLATE format compressed data, as specified in RFC 1951.

See `Gzip`, `Zip` and `Zlib` for modules that provide access to DEFLATE-based file formats.

NOTE To use `Deflate` or its children, you must explicitly import it with `require "compress/deflate"`

##
Defined in:

compress/deflate/deflate.cr
compress/deflate/reader.cr

##
Constant Summary

BEST_COMPRESSION = `9`
BEST_SPEED = `1`
DEFAULT_COMPRESSION = `-1`
NO_COMPRESSION = `0`